/**
 * 
 */
package org.prelle.shell;

import java.util.List;

import org.prelle.config.commands.Command;

/**
 * The location in which a command is issued. What this
 * is may be implementation specific. A typical example
 * may be a directory or a node on a config tree.
 * 
 * @author prelle
 */
public interface CommandContext {

	//------------------------------------------------------
	/**
	 * Convert the location into a user prompt
	 */
	public String toPrompt();
	
	public CommandContext getParent();

	public List<Command> getAvailableCommands();

	public List<Command> getPossibleCommandCompletions(String input);
	
}
